Bug 128626 - tg3 failure to bring up eth0 using DHCP after installing FC2.90 test 1
tg3 failure to bring up eth0 using DHCP after installing FC2.90 test 1
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-27 08:39 EDT by Anthony Brown
Modified: 2015-01-04 17:08 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-08 12:12:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
recompiled kernel-2.6.7-1.478 config file (37.99 KB, text/plain)
2004-07-27 08:40 EDT, Anthony Brown
no flags Details

  None (edit)
Description Anthony Brown 2004-07-27 08:39:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7) Gecko/20040625

Description of problem:
I installed Fedora Core 3 test 1 on an Acer Ferrari 3200 laptop. This
contains an AMD Mobile Athlon 64 bit CPU. The ethernet card is a
Broadcom BCM5788 NetXtreme.

The installation of the distribution runs fine but on reboting the
system an ethernet link cannot be established automatically using
dhcp. I´ve tried bringing up the link manually but had no succes.

There are two solutions to this problem. One is to boot with the
acpi=off option and the other is to recompile the kernel 2.6.7-1.478
and install the custom version. In recompiling the kernel I mainly
removed components/modules that I don´t need for the system. This
includes removal of PCI hot-plugging and the Asus and Toshiba ACPI
modules and not setting CONFIG_X86_SPEEDSTEP_CENTRINO_ACPI. I have
attached the kernel config file. After recompiling the kernel one can
boot without the additional acpi=off option and the tg3 dirver then
seems to work just fine.

Version-Release number of selected component (if applicable):
kernel-2.6.7-1.478

How reproducible:
Didn't try


Actual Results:  Ethernet connection now works fine.

Additional info:

Output from lspci:
00:00.0 Host bridge: VIA Technologies, Inc. VT8385 [K8T800 AGP] Host
Bridge (rev 01)
00:01.0 PCI bridge: VIA Technologies, Inc. VT8237 PCI bridge [K8T800
South]
00:07.0 CardBus bridge: Texas Instruments PCI4510 PC card Cardbus
Controller (rev 02)
00:07.1 FireWire (IEEE 1394): Texas Instruments PCI4510 IEEE-1394
Controller
00:09.0 Network controller: Broadcom Corporation BCM4306 802.11b/g
Wireless LAN Controller (rev 03)
00:0b.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5788
Gigabit Ethernet (rev 03)
00:10.0 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1
Controller (rev 80)
00:10.1 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1
Controller (rev 80)
00:10.2 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1
Controller (rev 80)
00:10.3 USB Controller: VIA Technologies, Inc. USB 2.0 (rev 82)
00:11.0 ISA bridge: VIA Technologies, Inc. VT8235 ISA Bridge
00:11.1 IDE interface: VIA Technologies, Inc.
VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE (rev 06)
00:11.5 Multimedia audio controller: VIA Technologies, Inc.
VT8233/A/8235/8237 AC97 Audio Controller (rev 50)
00:11.6 Communication controller: VIA Technologies, Inc. Intel 537
[AC97 Modem] (rev 80)
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 NorthBridge
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 NorthBridge
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 NorthBridge
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 NorthBridge
01:00.0 VGA compatible controller: ATI Technologies Inc RV350
[Mobility Radeon 9600 M10]
Comment 1 Anthony Brown 2004-07-27 08:40:59 EDT
Created attachment 102221 [details]
recompiled kernel-2.6.7-1.478 config file
Comment 2 Dave Jones 2004-12-08 01:45:38 EST
any better with 2.6.9 update ?
Comment 3 Anthony Brown 2004-12-08 03:59:33 EST
I cannot try this as I switched to a different Linux distribution in the
meantime (Gentoo). I have had no problems using the tg3 module since.

Note You need to log in before you can comment on or make changes to this bug.